edu.isi.pegasus.planner.selector.site

## Class AbstractPerJob

- java.lang.Object
- - edu.isi.pegasus.planner.selector.site.Abstract
  - - edu.isi.pegasus.planner.selector.site.AbstractPerJob

All Implemented Interfaces:
  SiteSelector

Direct Known Subclasses:
  NonJavaCallout, Random, RoundRobin

    public abstract class AbstractPerJob
    extends Abstract

The base class for the site selectors that want to map one job at a time.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.selector.site.Abstract

`mBag, mLogger, mProps, mSiteStore, mTCMapper`

### Fields inherited from interface edu.isi.pegasus.planner.selector.SiteSelector

`SITE_NOT_FOUND, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`AbstractPerJob()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `mapJob(Job job, java.util.List sites)` Maps a job in the workflow to the various grid sites.
`void` `mapWorkflow(ADag workflow, java.util.List sites)` Maps the jobs in the workflow to the various grid sites.

### Methods inherited from class edu.isi.pegasus.planner.selector.site.Abstract

`initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface edu.isi.pegasus.planner.selector.SiteSelector

`description`

### Constructor Detail

#### AbstractPerJob

    public AbstractPerJob()

### Method Detail

#### mapWorkflow

    public void mapWorkflow(ADag workflow,
                            java.util.List sites)

Maps the jobs in the workflow to the various grid sites.

Parameters:
  `workflow` - the workflow in a Graph form.
  `sites` - the list of `String` objects representing the execution sites that can be used.

#### mapJob

    public abstract void mapJob(Job job,
                                java.util.List sites)

Maps a job in the workflow to the various grid sites.

Parameters:
  `job` - the job to be mapped.
  `sites` - the list of `String` objects representing the execution sites that can be used.